Skip to main content
GET
/
v1
/
integration
/
{integrationId}
/
halo-itsm
Get Halo ITSM configuration
curl --request GET \
  --url https://api.wirespeed.co/v1/integration/{integrationId}/halo-itsm \
  --header 'Authorization: Bearer <token>'
{
  "ticketClientId": "<string>",
  "ticketTeamId": "<string>",
  "ticketCategoryId": "<string>",
  "createDetectionTickets": true,
  "caseTicketTitle": "<string>",
  "detectionTicketTitle": "<string>",
  "ticketTypeFields": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integrationId
string
required

Halo ITSM integration ID

Response

ticketClientId
string
required
ticketTeamId
string
required
ticketCategoryId
string
required
createDetectionTickets
boolean
required
caseTicketTitle
string
required
detectionTicketTitle
string
required
ticketTypeFields
object
required